/* Problem URL: https://codeforces.com/contest/2136/problem/C */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        int n;
        cin >> n;

        vi fds(n);
        cin >> fds;

        int now = 0;
        vi prev(n + 1, -1);
        vvi next(n, vi(25, -1));

        rep(i, n) {
            if (prev[fds[i]] == -1) {
                prev[fds[i]] = i;
                continue;
            }

            next[prev[fds[i]]][0] = i;
            prev[fds[i]] = i;
        }

        for (int i = n - 1; i >= 0; i--) {
            nrep(j, 1, 25) {
                if (next[i][j - 1] == -1) {
                    break;
                }
                next[i][j] = next[next[i][j - 1]][j - 1];
            }
        }

        cout.flush();

        vvi memo(n, vi(2, -1));

        function<int(int, int)> dp = [&](int i, int p) {
            if (i >= n) {
                return 0;
            }

            int &ans = memo[i][p];
            if (ans != -1) {
                return ans;
            }

            if (p == 1) {
                int now = i;
                // int c = 1;
                rep(j, 25) {
                    if (((fds[i] - 1) >> j) & 1) {
                        if (next[now][j] == -1) {
                            now = -1;
                            break;
                        }
                        now = next[now][j];
                        // c += 1 << j;
                    }
                }

                if (now == -1) {
                    return 0;
                }

                return ans = max(dp(now + 1, 0), dp(now + 1, 1)) + fds[i];
            }

            return ans = max(dp(i + 1, 0), dp(i + 1, 1));
        };

        cout << max(dp(0, 1), dp(0, 0)) << '\n';
    }
}
